network:
  version: 2
  ethernets:
    {{ ansible_default_ipv4.interface }}:
{% if override_dns %}
      dhcp4: true
      dhcp4-overrides:
        use-dns: no
      dhcp6-overrides:
        use-dns: no
{% endif %}
      nameservers:
        addresses: [
          {{ dns1_ipv4 }},
          {{ dns2_ipv4 }},
          {{ dns1_ipv6 }},
          {{ dns2_ipv6 }}
        ]
